elm_code_line.h File Reference

These routines are used for interacting with lines of content using Elm Code. More...

## Data Structures

struct | _Elm_Code_Token
struct | _Elm_Code_Line

## Typedefs

typedef struct _Elm_Code_Token | Elm_Code_Token
typedef struct _Elm_Code_Line | Elm_Code_Line

## Functions

void | elm_code_line_free (Elm_Code_Line *line)
void | elm_code_line_split_at (Elm_Code_Line *line, unsigned int position)
| Split the given line into two at the specified character position.
void | elm_code_line_merge_up (Elm_Code_Line *line)
| Merge the specified line with the line above.
void | elm_code_line_merge_down (Elm_Code_Line *line)
| Merge the specified line with the line below.
void | elm_code_line_status_set (Elm_Code_Line *line, Elm_Code_Status_Type status)
void | elm_code_line_status_text_set (Elm_Code_Line *line, const char *text)
void | elm_code_line_status_clear (Elm_Code_Line *line)
void | elm_code_line_token_add (Elm_Code_Line *line, int start, int end, int lines, Elm_Code_Token_Type type)
void | elm_code_line_tokens_clear (Elm_Code_Line *line)
unsigned int | elm_code_line_scope_get (Elm_Code_Line *line)
Eina_Bool | elm_code_line_contains_widget_cursor (Elm_Code_Line *line)

## Detailed Description

These routines are used for interacting with lines of content using Elm Code.